#!/bin/bash
# push/pull script

set -e

default=0

if [[ -n "$1" ]]; then
flag=$1
else
flag=default
fi

if [[flag = "-h"]]; then
echo "Error: This script requires a unique dogfood ID to assign to the device"
echo "Usage: $0 <flag>"
echo "<flag> = 1 will pull from everything but the SDcard"
echo "<flag> = 2 will pull from everything including the SDcard"
echo "<flag> = 3 will push everything but to the SDcard"
echo "<flag> = 4 will push everything including the SDcard"
echo "<flag> = -h will show this help menu"
fi
  

if [[flag = "1" or flag ="2"]]; then
adb shell stop b2g

adb pull /data/local local
adb pull /data/b2g b2g

if [flag = "2" ] then
  adb pull sdcard/ sdcard
fi

adb shell start b2g
fi

if [[flag = "3" or flag ="4"]]; then
adb shell stop b2g
adb push local /data/local
adb push b2g /data/b2g

if [[flag="4"]]; then
adb push sdcard/ /sdcard
fi

adb shell start b2g 
fi